import { CSSProperty } from '../css-property';
export interface PopoverEvents {
    popoverTriggered: CustomEvent<{
        trigger: any;
    }>;
    popoverOpened: CustomEvent<{
        trigger: any;
    }>;
    popoverClosing: CustomEvent;
    popoverClosed: CustomEvent;
}
export declare class PopoverElement extends HTMLElement {
    #private;
    private static stack;
    urlValue: string;
    constructor();
    get history(): CSSProperty<false>;
    get restore(): CSSProperty<false>;
    get closeRest(): CSSProperty<boolean>;
    get closeRestInGroup(): CSSProperty<boolean>;
    get group(): CSSProperty<"">;
    get clickOutside(): CSSProperty<false>;
    get escape(): CSSProperty<false>;
    get opened(): boolean;
    get lastTrigger(): any;
    get idWithValue(): string;
    updateUrlValue(value?: string | number): void;
    open(options?: {
        skipTransition?: boolean;
        trigger?: any;
    }): void;
    close(): void;
    protected connectedCallback(): void;
    protected disconnectedCallback(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'e-popover': PopoverElement;
    }
    interface HTMLElementEventMap extends PopoverEvents {
    }
}
